Option to display the issue descriptions on the issues list
2009-06-04 16:39 - Konstantin Zaitsev

Status: Closed Start date: 2009-06-04
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 2.2.0

Resolution: Fixed

Description

It would be great if redmine have possible for displaying the description information of the issue in the issues list like trac.
#886 Add support for Master tickets highest reapened nkantrowitz enhancement 0.13

5 years

It would be cool if you could create master tickets that other tickets refer to, Work could then be broken down into chunks {and assigned to different
people), but the master ticket could only be closed when all referring tickets had been resolved.

“rou could also have it so that referring tickets are excluded from the Roadmap ticket counts,
#4431 wiki_to_wikidom highest assigned choos enhancement 0.13

2 years

It would be good for plugins if parsing of wiki text will be broken to two stages. first take the text and convert to some data object tree (ala DOM, but
with wiki orientation, so nodes are ‘text', ‘'macro’, 'link' etc.), then different formatters can go over the tree and format it, and plugins can search it.

#5382 based4 encoding/decoding breaks compatiblity highest reapened choos enhancement nat applicable
with bwthon2.3

Associated revisions

Revision 10948 - 2012-12-06 18:48 - Jean-Philippe Lang

Adds an option for displaying the issue description on the issue list (#3447).

Revision 10952 - 2012-12-08 09:41 - Jean-Philippe Lang
Merged r10948 into 2.2-stable (#3447).

History

#1 - 2009-07-21 19:15 - VM Weseloh

+1 for requesting this feature; description should be a field you can query on and include in the issues list.

#2 - 2010-11-22 10:43 - Robert Schneider

+1

It's quite annoying if | have a meeting and want to discuss some certain issues. | have to print out each separately, by default with the whole comment

history. Occasionally, | just would like to have an overview about some issues that | can print out with some clicks.

#3 - 2010-11-22 10:51 - Sebastian Seifert
+1
We would like to estimate/choose Redmine issues for our sprint planning in a group of people. A preview of the description would be great for that.

#4 - 2010-11-22 14:04 - Mischa The Evil

Such functionality is already provided by the Show Issue Descriptions plugin.
https://www.redmine.org/projects/redmine/wiki/Plugin_List#Show-Issue-Descriptions

#5 - 2011-04-04 15:55 - Robert Schneider

Mischa The Evil: Why don't you add this to Redmine? | think it should be a core feature. I'm always a bit afraid about plugins, since nobody knows if
they will be maintained and updated when a new Redmine version is released.

#6 - 2011-04-18 09:15 - Deon Joubert
Robert Schneider wrote:
Mischa The Evil: Why don't you add this to Redmine? | think it should be a core feature. I'm always a bit afraid about plugins, since nobody

knows if they will be maintained and updated when a new Redmine version is released.

| installed the plugin and it seems as if it does not work with 1.1.1 which just underlines Robert's comment.

On a bit of a different note:

What about just giving a popup® of the description when mousing over an issue listed in an issue query. It would not be worth much for printing
purposes, but would be great when just browsing through issues.

' In the same way as mousing over an update's time-stamp eg. "Updated by Robert Schneider 14 days ago" link that gives an exact date-time down
to the second when keeping the mouse cursor stationary over the link "14 days" link.

#7 - 2012-12-06 18:48 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang
- Target version set to 2.2.0

- Resolution set to Fixed
Feature added in r10948.

#8 - 2012-12-08 09:42 - Jean-Philippe Lang
- Subject changed from Description info in issues list to Option to display the issue descriptions on the issues list

- Status changed from New to Closed
Merged into 2.2-stable.
